Subject: Re: DST flag in NVRAM revisited (was: Re: NVRAM stuck in DST?)

From: [email-masked]
Date: Thu, 28 Mar 2002 18:18:59 +0100

>we should just deal with the RTC exactly how its delt with on x86, if
>you have windows (or in our case MacOS) you tell hwclock the RTC is in
>localtime and let it deal with it, if you don't have MacOS/windows you
>tell it you have the RTC in GMT like its supposed to be and all is well.

Which means that during boot, the kernel will have a wrong (local) time
instead of UTC. That can be annoying.

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/